﻿* {
margin: 0;
padding: 0;
box-sizing: border-box;
font-family: 'Poppins', sans-serif;
}

body {
background: #f5f6f7;
color: #333;
}

.paragraphs {
    font-size:22px;
    text-align:justify-all;
}

.container {
    max-width: 1100px;
    margin: auto;
    padding: 10px;
    text-align: center;
}

.logo {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    margin-bottom: 20px;
    margin-top: 20px;
}

.logo img {
    width: 350px;
    height: 70px;
}

.logo h1 {
    font-size: 28px;
    font-weight: 600;
}

.logo span {
    color: #f4b400;
}

.hero {
border-radius: 12px;
overflow: hidden;
margin-bottom: 30px;
}

.hero img {
    width: 100%;
    height: auto;
    display: block;
}

.text {
margin-top: 10px;
}

.text h2 {
    font-size: 26px;
    font-weight: 500;
    line-height: 1.5;
}

.highlight {
color: #f4b400;
font-weight: 700;
}

.buttons {
margin-top: 10px;
display: flex;
justify-content: center;
gap: 20px;
flex-wrap: wrap;
}

.btn {
background: #f4b400;
border: none;
padding: 12px 25px;
border-radius: 8px;
font-weight: 600;
cursor: pointer;
transition: 0.3s;
}

.btn:hover {
    background: #d99c00;
}

.hero-section {
    background-image: url("../img/website-banner.png");
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover; /* 🔑 makes image responsive */

    position: relative;
    min-height: 90vh; /* better than height for responsiveness */

    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    overflow: hidden;
}

.search-box {
    max-width: 500px;
    margin: 0 auto;
    display: flex;
    border-radius: 30px;
    overflow: hidden;
    box-shadow: 0 2px 6px rgba(0,0,0,0.1);
    background-color: white;
}

    .search-box input {
        flex: 1;
        padding: 14px 20px;
        border: none;
        outline: none;
        font-size: 1rem;
    }

    .search-box button {
        background-color: #3b82f6;
        border: none;
        color: white;
        width: 50px;
        cursor: pointer;
        font-size: 1.2rem;
    }

@media (max-width: 768px) {
    .hero-section {
        min-height: 70vh;
        background-position: center top; /* better focus on mobile */
    }
}

.hero-content {
    margin-top: 200px;
    position: relative;
    z-index: 2;
}


@media (max-width: 768px) {
.text h2 {
    font-size: 22px;
}

.logo h1 {
    font-size: 22px;
}
}

@media (max-width: 480px) {
.text h2 {
    font-size: 18px;
}

.btn {
    width: 100%;
}
}
